org.apache.sysds.runtime.controlprogram.federated

## Class FederatedStatistics

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics

    public class FederatedStatistics
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`FederatedStatistics()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `displayCacheStats(org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection.CacheStatsCollection csc)`
`static String` `displayFedStatistics(int numHeavyHitters)`
`static String` `displayFedWorkers()`
`static String` `displayGCStats(org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection.GCStatsCollection gcsc)`
`static String` `displayHeavyHitters(HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>> heavyHitters)`
`static String` `displayHeavyHitters(HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>> heavyHitters, int num)`
`static void` `registerFedWorker(String host, int port)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### FederatedStatistics

    public FederatedStatistics()

### Method Detail

#### registerFedWorker

    public static void registerFedWorker(String host,
                                         int port)

#### displayFedWorkers

    public static String displayFedWorkers()

#### displayFedStatistics

    public static String displayFedStatistics(int numHeavyHitters)

#### displayCacheStats

    public static String displayCacheStats(org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection.CacheStatsCollection csc)

#### displayGCStats

    public static String displayGCStats(org.apache.sysds.runtime.controlprogram.federated.FederatedStatistics.FedStatsCollection.GCStatsCollection gcsc)

#### displayHeavyHitters

    public static String displayHeavyHitters(HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>> heavyHitters)

#### displayHeavyHitters

    public static String displayHeavyHitters(HashMap<String,org.apache.commons.lang3.tuple.Pair<Long,Double>> heavyHitters,
                                             int num)